; Macro that implements delay of 0 or 2-24 cycles
; Doesn't affect registers, flags or memory
mac_delay_cycles macro
	if (\1) == 1
		tst __bad_parameter_passed_to_delay_cycles_2_24
	elsif (\1) == 2
		nop
	elsif (\1) == 3
		orcc #0
	elsif (\1) == 4
		nop
		nop
	elsif (\1) == 5
		leau <<0,u
	elsif (\1) == 6
		tfr a,a
	elsif (\1) == 7
		leau <<0,u
		nop
	elsif (\1) == 8
		exg a,a
	elsif (\1) == 9
		tfr a,a
		orcc #0
	elsif (\1) == 10
		exg a,a
		nop
	elsif (\1) == 11
		exg a,a
		orcc #0
	elsif (\1) == 12
		exg a,a
		nop
		nop
	elsif (\1) == 13
		exg a,a
		leau <<0,u
	elsif (\1) == 14
		exg a,a
		tfr a,a
	elsif (\1) == 15
		exg a,a
		leau <<0,u
		nop
	elsif (\1) == 16
		exg a,a
		exg a,a
	elsif (\1) == 17
		exg a,a
		tfr a,a
		orcc #0
	elsif (\1) == 18
		exg a,a
		exg a,a
		nop
	elsif (\1) == 19
		exg a,a
		exg a,a
		orcc #0
	elsif (\1) == 20
		exg a,a
		exg a,a
		nop
		nop
	elsif (\1) == 21
		exg a,a
		exg a,a
		leau <<0,u
	elsif (\1) == 22
		exg a,a
		exg a,a
		tfr a,a
	elsif (\1) == 23
		exg a,a
		exg a,a
		leau <<0,u
		nop
	elsif (\1) == 24
		exg a,a
		exg a,a
		exg a,a
	elsif ((\1) > 24)
	; would use 'else' but it throws errors
		tst __bad_parameter_passed_to_delay_cycles_2_24
	endif
	
	endm
