'
' ascii to 6847 conversion
'
set fs = createobject("scripting.filesystemobject")
set infile = fs.opentextfile("message.txt")
set outfile = fs.createtextfile("message.asm")

'set to 0 for inverse video or 64 for normal
inverse = 64

'6847 value for space character
spacecode = 32 or inverse

outfile.writeline("MSG_TEXT")

do while not infile.atendofstream
	linein = infile.readline
	
	outfile.write(" fcb ")

	for i = 1 to len(linein)

		ch = asc(ucase(mid(linein, i, 1)))

		if (ch < 32) or (ch > 95) then
			outval = 0
		elseif (ch >= 64) and (ch <= 95) then
			outval = ch - 64
		else
			outval = ch
		end if
		
		outfile.write((outval or inverse) & ",")
	next
	
	outfile.writeline(spacecode)
  
loop

outfile.writeline("MSG_TEXT_END")

outfile.close
infile.close
set fs = nothing

